// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "vertexVersionCentroidUV.h"
#include "uniformWorldConstants.h"

attribute POS4 POSITION;
attribute vec2 TEXCOORD_0;

const float path_rotation = 0.75;


void main()
{
    vec4 pos = POSITION;
        pos.xz *= mat2(vec2(cos(path_rotation), -sin(path_rotation)), vec2(sin(path_rotation), cos(path_rotation)));

    gl_Position = WORLDVIEWPROJ * pos;
    uv = TEXCOORD_0;
}