// ==== Global Function ===== //
// this file is the heart of HSPE Shader.
// WARNING! don't make an error function and variable in here! Because that same as you break the heart of this shader.

   #include "uniformMacro.h"

   #define _UNIFORM_PER_FRAME_CONSTANTS_H

// BEGIN_UNIFORM_BLOCK(PerFrameConstants) - unfortunately this macro doesn't work on old Amazon platforms so using above 3 lines instead.
 #ifndef _UNIFORM_PER_FRAME_CONSTANTS_H
   #ifdef MCPE_PLATFORM_NX
     layout(binding = 2) uniform PerFrameConstants {
   #endif

// uniform constants are in here except TOTAL_REAL_WORLD_TIME.
     UNIFORM vec3 VIEW_POS;
     UNIFORM highp float TIME;
     UNIFORM vec4 FOG_COLOR;
     UNIFORM vec2 FOG_CONTROL;
     UNIFORM float RENDER_DISTANCE;
     UNIFORM float FAR_CHUNKS_DISTANCE;
     END_UNIFORM_BLOCK
#endif 

///// apply uniform perframe constants
// these uniform are required for this shader.
     uniform vec3 VIEW_POS;
     uniform highp float TIME;
     uniform vec4 FOG_COLOR;
     uniform vec2 FOG_CONTROL;
     uniform float RENDER_DISTANCE;
     uniform float FAR_CHUNKS_DISTANCE;
